Bug 67970 - dhcp.config.sample missing required parameter
dhcp.config.sample missing required parameter
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: dhcp (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-04 18:07 EDT by Chris Kloiber
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-07 23:58:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2002-07-04 18:07:22 EDT
Description of Problem:

The dhcpd.conf.sample as shipped in dhcp-3.0pl1-2 does not contain the required
parameter 'ddns-update-style ad-hoc;' which enables the depreciated (and broken
if you read the man page) DNS update functionality. Without this line dhcpd will
fail to run. Fortunately the error message is 'in your face' if not terribly
descriptive, and points to the man page. I would recommend adding the following
lines to the top of the /usr/share/doc/dhcp-3.0pl1-2/dhcpd.conf.sample file to
enable the 'interim' method of dynamic dns updates, but disable client updates
at the same time. (Less surprise that way) This way the dhcpd server can run,
and clients can't magically alter the DNS records.

ddns-update-style interim; # 'ddns-update-style ad-hoc;' is depreciated/broken
ignore client-updates;     # 'allow client-updates;' is default
Comment 1 Elliot Lee 2002-07-11 14:29:39 EDT
Changes made

Note You need to log in before you can comment on or make changes to this bug.